%define real_name SOCC-nagios_logwatch
%define perl_sitearch /usr/lib/perl5/site_perl/auto
%define perl_sitelib /usr/lib/perl5/site_perl
%define perl_version %(perl VERSION)

##########################################################################
Name: SOCC-nagios_logwatch
Summary: Monitors logs for patterns and creates ServiceResults in Nagios.
Version: %{perl_version}
Release: 1.deakin
Group: Applications/System
License: GPL
Packager: Danny Reynolds <danny@deakin.edu.au>
Vendor: Deakin University
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: perl rrdtool
Requires: nagios
%description
Monitors logs for patterns and creates ServiceResults in Nagios.


%package client
Summary: Remote client for nagios-logwatchd.
Group: Applications/System
%description client
Remote client that can tail log files, handle log files that are
rolled and remember its position with a given log file between invocations of
the program.  The nagios-logwatchd uses ssh to make the network connection
and start nagios-logwatch.


%package server
Summary: Daemon to turn log files into Nagios service results.
Group: Applications/System
%description server
Daemon to monitor local and remote log files.  Turns the lines into
Nagios service results.  Runs as a daemon to reduce latency/overhead
of continuously starting, creating a network connection, closing a network
connection then stopping..

##########################################################################
%prep
%setup -n %{real_name}-%{version}

##########################################################################
%build
%{__perl} Makefile.PL \
	PREFIX="%{buildroot}%{_prefix}" \
	INSTALLSITELIB="%{buildroot}%{_prefix}/lib/perl5/site_perl" \
	INSTALLSCRIPT="%{buildroot}%{_prefix}/bin/"
%{__make} %{?_smp_mflags}

##########################################################################
%install
%{__rm} -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}/etc/init.d/
cp -p etc/init.d/nagios-logwatchd %{buildroot}/etc/init.d/

mkdir -p %{buildroot}/etc/nagios/nagios-logwatchd/
cp -p etc/nagios/nagios-logwatchd/*.cfg %{buildroot}/etc/nagios/nagios-logwatchd/

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib}

##########################################################################
%clean
%{__rm} -rf %{buildroot}

##########################################################################
%post server
chkconfig --add nagios-logwatchd

if test ! -d /var/cache/nagios-rrd-logwatchd; then
	mkdir -p /var/cache/nagios-logwatchd
	chmod 755 /var/cache/nagios-logwatchd
	chown nagios:nagios /var/cache/nagios-logwatchd
fi

##########################################################################
%files client
%defattr(-, root, root, 0755)
%doc Changes README TODO LICENCE
%doc %{_mandir}/man1/nagios-logwatch.1.gz
%exclude %{perl_sitearch}
/usr/bin/nagios-logwatch
%{perl_sitelib}/SOCC/nagios_logwatch/Tail/*.pm


%files server
%defattr(-, root, root, 0755)
%doc Changes README TODO LICENCE
%doc %{_mandir}/man1/nagios-logwatchd.1.gz
%exclude %{perl_sitearch}
/usr/bin/nagios-logwatchd
%{perl_sitelib}/SOCC/nagios_logwatchd/*.pm
%config /etc/init.d/nagios-logwatchd
%config /etc/nagios/nagios-logwatchd/*.cfg

